org.apache.cassandra.service.paxos

## Class PaxosState

- java.lang.Object
- - org.apache.cassandra.service.paxos.PaxosState

    public class PaxosState
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PaxosState(Commit promised, Commit accepted, Commit mostRecentCommit)`
`PaxosState(DecoratedKey key, CFMetaData metadata)`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `commit(Commit proposal)`
`static PrepareResponse` `prepare(Commit toPrepare)`
`static java.lang.Boolean` `propose(Commit proposal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PaxosState

    public PaxosState(DecoratedKey key,
                      CFMetaData metadata)

#### PaxosState

    public PaxosState(Commit promised,
                      Commit accepted,
                      Commit mostRecentCommit)

### Method Detail

#### prepare

    public static PrepareResponse prepare(Commit toPrepare)

#### propose

    public static java.lang.Boolean propose(Commit proposal)

#### commit

    public static void commit(Commit proposal)